> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List datasets

> Lists datasets in your team or of the specified name.



## OpenAPI

````yaml get /v1/team/datasets
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/datasets:
    get:
      tags:
        - Dataset
      summary: List datasets
      description: Lists datasets in your team or of the specified name.
      parameters:
        - name: pageNumber
          in: query
          description: >-
            The number of pages to display. If not specified, the default value
            `1` will be used.
          required: false
          schema:
            type: integer
        - name: pageSize
          in: query
          description: >-
            The number of items on a single page. If not specified, the default
            value `10` will be used.
          required: false
          schema:
            type: integer
        - name: name
          in: query
          description: >-
            The keyword for search. Any dataset with its name or description
            that matches the keyword will be returned.


            It not specified, all datasets will be returned.
          required: false
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties:
                      pageNumber:
                        type: integer
                        description: The number of pages returned.
                      pageSize:
                        type: integer
                        description: The number of items displayed per page.
                      total:
                        type: integer
                        description: The total number of pages.
                      records:
                        type: array
                        items:
                          $ref: '#/components/schemas/DatasetDTO'
                        description: The list of datasets.
                    required:
                      - pageNumber
                      - pageSize
                      - total
                      - records
                    description: The returned data object.
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      pageNumber: 1
                      pageSize: 10
                      total: 1
                      records:
                        - id: dataset-dasfadsgadsgas
                          name: mysql
                          description: mysql databases
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  schemas:
    DatasetDTO:
      type: object
      properties:
        id:
          type: string
          description: The dataset ID, which uniquely identifies the dataset.
        name:
          type: string
          description: The dataset name.
        description:
          type: string
          description: The dataset description.
      required:
        - id
        - name
        - description
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````